メインコンテンツまでスキップ

請求書の詳細を取得(V2)

Describes the specified invoice in the organization to which the current user belongs. The current user should be an organization owner or a billing admin.

GET/v2/invoices/{INVOICE_ID}
接続エンドポイント

https://api.cloud.zilliz.com

NaN
shell
export BASE_URL="https://api.cloud.zilliz.com"
パラメータ
Authorizationstringheader必要

認証トークンは、適切な権限を持つAPIキーである必要があります。

値の例: Bearer {{TOKEN}}
INVOICE_IDstringpath必要

説明する請求書のID。

値の例: inv-12312io23810o291
bash
export TOKEN="YOUR_API_KEY"
export INVOICE_ID="inv-12312io23810o291"

curl --request GET \
--url "${BASE_URL}/v2/invoices/${INVOICE_ID}" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json"
レスポンス

現在のユーザーが所属する組織の指定された請求書の詳細を返します。

指定された請求書の詳細を返します。

codeinteger

レスポンスコード。

dataobject
idstring

請求書のID。

orgIdstring

請求書が属する組織のID。

periodStartstring

請求期間の開始時刻。

periodEndstring

請求期間の終了時刻。

invoiceDatestring

請求書の発行日。

dueDatestring

請求書の支払期限。

currencystring

請求書の通貨。

statusstring

請求書のステータス。

usageAmountnumber

請求書に記録されている合計金額。

creditsAppliednumber

請求書に適用されたクレジットの合計です。合計金額から差し引く必要があります。

alreadyBilledAmountnumber

すでに請求済みの合計金額。

subtotalnumber

請求書の小計。合計金額から適用されたクレジットを差し引いた金額です。

taxnumber

請求書の税額。

totalnumber

請求書の合計金額。小計に税を加えた金額です。

advancePayAmountnumber

現在のユーザーが所属する組織の前払い金額。未払いの請求書の支払いに使用できます。

amountDuenumber

請求書の支払い額。前払い金額からすでに請求済みの合計金額を差し引いた金額です。

エラーメッセージを返します。

codeinteger

レスポンスコード。

messagestring

エラーメッセージ。

Successjson
{
"code": 0,
"data": {
"id": "inv-12312io23810o291",
"orgId": "org-xxxxxx",
"periodStart": "2024-01-01T00:00:00Z",
"periodEnd": "2024-02-01T00:00:00Z",
"invoiceDate": "2024-02-01T00:00:00Z",
"dueDate": "2024-02-01T00:00:00Z",
"currency": "USD",
"status": "unpaid",
"usageAmount": 52400,
"creditsApplied": 12400,
"alreadyBilledAmount": 0,
"subtotal": 40000,
"tax": 5000,
"total": 45000,
"advancePayAmount": 0,
"amountDue": 45000
}
}
Ctrl I